#-----------------------------------------------------------------------
# File    : sort.mak
# Contents: build sorting programs (on Windows systems)
# Author  : Christian Borgelt
# History : 2013.04.04 file created
#-----------------------------------------------------------------------
THISDIR = ../../sort/src

CC      = cl.exe
DEFS    = /D WIN32 /D NDEBUG /D _CONSOLE /D _CRT_SECURE_NO_WARNINGS
CFLAGS  = /nologo /W3 /O2 /GS- $(DEFS) /c

LD      = link.exe
LDFLAGS = 

PRGS    = numsort.exe hardsort.exe random.exe

#-----------------------------------------------------------------------
# Build Programs
#-----------------------------------------------------------------------
all:          $(PRGS) 

numsort.exe:  numsort.obj sort.mak
	$(LD) $(LDFLAGS) $(LIBS) numsort.obj /out:$@

listtest.exe: listtest.obj sort.mak
	$(LD) $(LDFLAGS) $(LIBS) listtest.obj /out:$@

tsctest.exe:  tsctest.obj escape.obj sort.mak
	$(LD) $(LDFLAGS) $(LIBS) escape.obj tsctest.obj /out:$@

#-----------------------------------------------------------------------
# Object Files
#-----------------------------------------------------------------------
numsort.obj:  numsort.c sort.mak
	$(CC) $(CFLAGS) numsort.c /Fo$@

hardsort.obj: hardsort.c sort.mak
	$(CC) $(CFLAGS) hardsort.c /Fo$@

random.obj:   random.c sort.mak
	$(CC) $(CFLAGS) random.c /Fo$@

#-----------------------------------------------------------------------
# Clean up
#-----------------------------------------------------------------------
clean:
	-@erase /Q *~ *.obj *.idb *.pch
